[i855] 10.04 rc boots into black/blank screen

Bug #568779 reported by Calvin.Ngei on 2010-04-23
258
This bug affects 52 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
High
Unassigned
Nominated for Lucid by Calvin.Ngei

Bug Description

I try to boot ubuntu 10.04 rc livecd (32 bit) via hd.

I can see the Purple ubuntu loading for less than a second , then it turns into blank black screen and nothing happens after, cannot use it or login. It seems that the live ubuntu completely crashed. I try to press ctrl+alt+f1/f2..., then capslock, but there is no response. So I can do nothing, except pressing the power button to shutdown my laptop.

My laptop is BenQ Joybook 5000U, with a Intel Corporation 82852/855GM Integrated graphics card, Pentium M 1.3GHz CPU, 1G DDR2 RAM.

The earlier livecd, 10.04 Beta2, boots perfectly on my laptop, with compiz enabled, but the RC version of livecd always fails.

There must be a bug on X or gdm, or video driver. When it trys to start gdm after boot logo, it always turn into blank black screen, with key board locked. I hope this problem will not appear on the final release.

description: updated
description: updated
description: updated
affects: ubuntu → xorg (Ubuntu)
Tom Haines (thaines) wrote :

I can confirm the exact same problem - matches the above description precisely, but with different hardware, specifically a Zotac NM10 ITX motherboard, which has an integrated 'Intel Graphics Media Accelerator 3150 GPU'. The other difference is I was using the 64 bit version of the release candidate.

I have not tried beta 2 with this hardware, but can confirm that 64 bit 9.10 works fine.

Changed in xorg (Ubuntu):
status: New → Confirmed
Sean Hewitt (sean-hewitt) wrote :

This happens to me aswell. None of the versions (alpha, beta or rc) have worked for me so far from the live cd.

Sean Hewitt (sean-hewitt) wrote :

And I'm using a laptop with a 'ATI Radeon Xpress 1250' GPU trying to use the 32bit version of Ubuntu 10.04.

ahmr (ahmruoff) wrote :

I got the same problem since I upgraded from Beta to RC. Beta was fine but now I only get a black screen and nothing happens.

siithiland (a3984608) wrote :

Yes. I have the same problem. Please fix it.

Changed in xorg (Ubuntu):
assignee: nobody → siithiland (a3984608)
MilchFlasche (robertus0617) wrote :

As for me, the RC live CD image downloaded this morning (GMT 2:00 AM 4/24) CAN boot into KDE desktop (although the bootsplash is an ugly "Ubuntu 10.04" text) on my Lenovo S10-2 netbook (with Intel GMA 950).

However, 10.04 upgraded from 9.10 still fails to boot. Clean installation boots fine.

Bryce Harrington (bryce) on 2010-04-24
tags: added: lucid
Bryce Harrington (bryce) on 2010-04-24
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
MilchFlasche (robertus0617) wrote :

It's impossible to reach the recovery mode of such installation, so I have installed a clean installation on another partition, and chroot into the buggy one, and did
dpkg-reconfigure xserver-xorg
=> Rebooted and no luck :(

Amazing... The same 2.6.32-21-generic kernel, but one with clean installation, one with upgraded installation, the result is different. So is the problem with the video drivers, not with the kernel?

Attila Dobi (dobi-atti) wrote :

I can confirm the same problem. Config: Celeron-M 1.6, intel 855GM, Ubuntu 10.04 RC

MilchFlasche (robertus0617) wrote :

Hi Attila, is your 10.04 RC installed via live session, or upgraded from 9.10?

MilchFlasche (robertus0617) wrote :

Adding i915.modeset=1 to the boot line does no help either. 2.6.32-21 and 2.6.31-20 both fails. Recovery mode won't get through either.

I'm wondering if I can ever get my old installation back, or should I just use this new installation. But it really feels bad. I should not have chosen to upgrade to get into this.

Alban (seza) wrote :

Same problem since upgrade 10.04 beta to rc with an intel 82852/855GM graphic card with intel celeron Mobile 1.4 ghz. On blank screen kernel magic shortcut ALT PRINT SCREEN R + E + I + S + U +B for clean restart don't work.

Same problem on livecd or installed on disk.

But starting in recovery mode (for me press shift to see grub option at startup) and choose to run in failsafeX mode work fine.

Jim Brumbaugh (bleumyst) wrote :

On Sat, Apr 24, 2010 at 1:55 AM, Calvin.Ngei <email address hidden> wrote:
> *** This bug is a duplicate of bug 568779 ***
>    https://bugs.launchpad.net/bugs/568779
>
> I googled "Dell Latitude X300" and found that the graphic card of it is
> intel integrated graphics card (Intel Extreme Graphics 855 GM), the same
> graphic card as my BenQ Joybook 5000U (Intel Corporation 82852/855GM
> series). And your description matches bug #568779 well. It should be a
> duplicate of bug #568779.
>
> ** Changed in: xorg (Ubuntu)
>       Status: New => Confirmed
>
> ** This bug has been marked a duplicate of bug 568779
>   10.04 rc livecd boots into black/blank screen (intel 82852/855GM graphic card)

Greetings Calvin:

Just wanted to verify, yes- the two bugs are the same. Yesterday I downloaded the April 19th release candidate live CD image from http://cdimages.ubuntu.com/ (now apparently moved to http://releases.ubuntu.com/lucid/) the file is dated April 19th and has the following MD5.

9b88dce8d215a3c2839105ab8e3139be *lucid-desktop-i386.iso

The burned CD fails at exactly the same place as my Lucid test partition boot. So yes, the two bugs
  https://bugs.launchpad.net/bugs/567621
  https://bugs.launchpad.net/bugs/568779

are from the same cause.

Posting this reply to both bug reports

Alban (seza) wrote :

For normal boot you can fix temporarily the problem until the bug fixed by changing your "/etc/X11/xorg.conf" by this (this is the failsafe conf) :

Section "Device"
  Identifier "Configured Video Device"
  Driver "Vesa"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Sceen"
  Identifier "Default Screen"
  Monitor "Configured Monitor"
  Device "Configured Video Device"
EndSection

MilchFlasche (robertus0617) wrote :

Hi, what if there is not a xorg.conf (I don't have it since Karmic)? Is there a way to make the system generate one so that I can make the changes you mentioned?

Alban (seza) wrote :

You can create one (empty) and add the content I mentioned into.

When the bug is fixed, update your install, delete the xorg.conf, reboot and all is ok.

PS : When you stating a failsafeX session in recovery mode a xorg.failsafe.conf is created. Just make a copy and name it xorg.conf.

lispy (janietz) wrote :

I can confirm this bug on my girlfriends Fujistu Lifebook 7010d. I also upgraded her yesterday. Right now I have her on the generic driver which obviously breaks 3D for her. Is there already a solution or a workaround or will I have to reinstall for her from scratch? Obviously there is something weird going on during upgrade, anyone with more insight have an idea where to start looking? What logs would be helpful?

MilchFlasche (robertus0617) wrote :

Hi Alban, thanks a lot for the information. However, I still can't enter recovery mode or failsafeX. Whichever the boot line is, the procedure just hangs. I guess my problem may be more complicated than just X driver?

Bryce Harrington (bryce) on 2010-04-25
tags: added: black-screen

Also impacted by this bug, reported here https://bugs.launchpad.net/ubuntu/+source/linux-meta/+bug/569702

First saw problem when the kernel upgrade was applied to beta2 i.e. from 2.6.32-19 to -21
and am also seeing same problem in RC.

If I boot from recovery CD and complete boot to single user. I can recreate the problem by running the gdm startup ( /etc/init.d/gdm start) , get blank screen and am unable to switch sessions (Alt-FX).

Iosif Kabzon (lan4pet) wrote :

I can confirm this bug on my laptop Fujitsu-Siemens AMILO V1100.

Video: Intel 82852/82855 GM/GME Graphics Controller

System hangs after Ubuntu splash (when starts X). No HDD activity, no keyboard replies.

Tried vesa driver, tried i915.modeset=1 or 0, nomodeset options -- no luck.

FailsafeX mode helps. Looks like a bug in video driver.

MilchFlasche (robertus0617) wrote :

Hi Pals,

I found last night that my Lucid RC installation cannot boot and hangs because one of my /etc/fstab entry evokes tmpfs. If that line is commented out, then my upgraded installation can boot normally as a new installation.

So I will open a new bug to address the tmpfs issue, and I guess Intel GMA 950 chip may not be affected by this bug any more.

Antonio Macchi III (macchi) wrote :

Hello,
I am having similar problems and cannot boot with generic kernel 2.6.32-21 on my test laptop, a Vaio VGN-P1XP with Intel 855 graphics. Ordinary boot fails with black screen and no activity. Booting on recovery mode succeeds but safe graphics give scrambled screen and no activity. I could not find exact logs of the failures but fear problems with graphics.
Earlier generic kernel 2.6.32-19 works OK.

PS: Regarding entry #20 from MilchFlasche, I believe that this cannot be related to tmpfs, since I have no references to tmpfs in fstab and my system still fails.

Geir Ove Myhr (gomyhr) wrote :

Calvin, it is possilble that this will work better with the upgrade of xserver-xorg-video-intel from 2:2.9.1-3ubuntu4 to -3ubuntu5, which re-enables DRI. We got quite a few reports of boot problems when DRI was disabled (to try to work around stability issues) in -3ubuntu3. Unfortunately, I don't think there will be an LiveCD with -3ubuntu5 available before the final release.

Note that there are still some serious stability problems on 855GM chipsets: bug 541492.

Iosif Kabzon (lan4pet) wrote :

Mhm, found that 10.04 boots fine with Karmic kernel with no X freezes.

Attila Dobi (dobi-atti) wrote :

MilchFlasche: It was a clean install. Even the LiveCD was not able to boot. I had to install from the alternate CD, but after the install, it was not work at all. Now I use "i915.modeset=1", and it works.
Today the driver was updated, I will try to boot without this workaround.

lispy (janietz) wrote :

Hi everybody. Just wanted to let you know that todays patch didn't improve the situation on my girlfriends 7010d. btw: lspci says it's the dreaded 855GM chipset. Any advice on how I could improve the experience for her or get back 3D?

Eric Dannewitz (ericdano) wrote :

Stil busted on my MSI Wind PC. Still hangs saying * Checking battery state

This is getting out of control.....Is there not some way to get Ubuntu to boot into X at all? I mean, it worked fine in 9.10 but is totally messed up in 10.04.......

Chris Halse Rogers (raof) wrote :

There are known issues with the 855 chips in Lucid, with workarounds documented on https://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes . Hopefully one of these will work for everyone here, although it's likely to be a different work around for each person.

Alban (seza) wrote :

Thanks for the links.

Before trying dowgrade the kernel oto 2.6.31 I try to upgrade it (when black screen bug i can't use REISUB shortkut, so the kernel is freezed too, so I'm saying to myself that's possibly a kernel bug).

I try the lastet kernel, 2.6.34-020634rc5-generic, found in the ubuntu kernel stream at http://kernel.ubuntu.com/~kernel-ppa/mainline and it works perfectly for me, no black screen, but read the next annotation !!

I have an other thing to relate, maybe this is not linked, I see a boot improvement (beautiful graphics during the boot sequence, logo aliased etc ...) when trying the RC livecd with "no acpi" option.

With 2.6.31 and 2.6.32 (acpi on) I have bad graphics in boot sequence, logo no aliased etc... and black screen with 2.6.32

With 2.6.34...rc5 kernel it is the opposite. With acpi on beautiful boot sequence and no freeze. I try acpi=off and bad graphics in boot and the freeze come back !

So, where is really the bug ? Kernel bug ? Acpi bug ? Intel driver bug ?

lispy (janietz) wrote :

AGP bug?

sww5523 (peter-krneki) wrote :

Confirming it on Thinkpad X40 with Intel 855GM.

Clean install Lucid RC.
Tried every remedy here, only failsafe works.
Interesting notes here, Alban. I will try it out today.

sww5523 (peter-krneki) wrote :

Installed an updated driver xserver-xorg-video-intel today.

Trying some workarounds from:
https://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes

1. Switch to -vesa driver --Does not help
3. Enable KMS --Does not help

@Alban:
acpi=off --No change in behaviour for me

jfrag (jfrag) wrote :

Holding xserver-xorg-video-intel package at 2.9.1-3ubuntu2 version instead of the latest version worked for me (https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/568878).
Maybe this can help someone.

Peter M. Clausen (pclausen) wrote :

Dell Lattitude D505, same as reported bug, no work arounds found (nomodeset, noapci...)

Ubuntu 10.04 Alpha worked OK

dan rhodes (daniel-r-rhodes) wrote :

Dell D400 with 855GM

The apparently related "checking battery state" bug introduced at the start of April caused me to reinstall Lucid from the beta release. Worked fine under kernel .19 up until last weekend when I updated (including kernel to .21) and now am experiencing the black screen. Luckily I could still boot from the .19 version in Grub and it works fine. Won't be updating again until this gets resolved in a release...

sww5523 (peter-krneki) wrote :

Installing kernel 2.6.31-20 from Karmic and using i915 modeset=1 option:

Boot logo really looks better.
At the point of switching to GDM the system freezes again.

Alex Denvir (coldfff) wrote :

I can confirm that installing kernel 2.6.34-020634rc5-generic as per comment 28 by Alban has fixed this issue for me on my Dell Latitude X300

Calvin.Ngei (calvin-ngei) wrote :

10.04 final release is only 1 day to go. Is it possible that this bug be fixed in 29th's final release? Well, unluckly there is still no patch for it, even we don't know which package has caused this problem. The kernel package, or xserver-xorg-video-intel?

lispy (janietz) wrote :

I don´t think it will be fixed, so I will wait til Friday and then try my luck with Albans solution (mainstream kernel).

lispy (janietz) wrote :
sww5523 (peter-krneki) wrote :

Ok, to summarize my previous posts and suggested solutions from other users:

1. Installed an updated driver xserver-xorg-video-intel version 2:2.9.1-3ubuntu5.

2. Installed kernel from karmic 2.6.31-20.

3. Installed kernel 2.6.34-020634rc5-generic.

4. Tried various workarounds from https://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes in different combinations with different kernels.

Only failsafe work for me at this moment.

lomat (lomat) wrote :

I have the same problem with my Satellite A50 laptop, which has intel 82852/855GM GPU.
$ lsb_release -rd
Description: Ubuntu 10.04 LTS
Release: 10.04 #RC edition, clearly installed
$ dpkg -l xserver-xorg-video-intel
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
+++-==============-==============-============================================
ii xserver-xorg-v 2:2.9.1-3ubunt X.Org X server -- Intel i8xx, i9xx display d

$ uname -a
Linux 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux

Filippo neri (fneri23) wrote :

One day to go. It is unthinkable, but this bug WILL be included in the final Lucid release. This is a disaster as machines using the Intel 855GM integrated video are quite common. My Thinkpad X40 is an example: a still useful netbook alternative, with a nice and very readable matte screen. I guess it will be possible to start in recovery mode, run in failsafeX and then maybe try the 2.6.34-020634rc5-generic kernel. But how many users can do that? Is Ubuntu Linux just for geeks?

Alban (seza) wrote :

A this time it's impossible the bug is fixed that's sure.
If ubuntu release the 10.04 with this bug that's a disaster as you say !! It's a common graphic card, how many people could be touch ? How many could be touch and who unknow what's a recovery mode or how to enter in it ?

With the new ubuntu grub/boot loader which don't show the grub select screen, I use two hours to find how to have the grub select screen and the recovery mode option.

For non geeks people with 8XX graphics card that's mean a broken pc. Broken because they'll never update their install because they didn't know how update it in commad line, with synapitcs or how to have a failsafe screen. Most of them certainly did'nt know than an update could remove the bug or what's a bug report and come here to have more informations.

Filippo neri (fneri23) wrote :

Exactly my point!

Alban (seza) wrote :

I remove the assignee because siithiland (seen it's message), is not a specialist or developer package.

Changed in xserver-xorg-video-intel (Ubuntu):
assignee: siithiland (a3984608) → nobody
dan rhodes (daniel-r-rhodes) wrote :

Wow...just wow. I have had a lot of ups and downs with Linux for the last 5 years, even reinstalling several times after an update hopelessly breaks things (valuable lesson, mount /home on a separate partition), but this fiasco takes the cake. Days before an official release, an update breaks the video used by nearly 50 of our developer laptops and likely thousands of end users. To top it off, the bug is assigned to a "developer" who's first comment is "Please fix it". If this is the way open source is going to be run, it really will always be the domain of the geeks while Microsoft looks down and laughs from the top of their mountain of gold.

I know this is not a "helpful" post filled with dmesg outputs, etc, but does that seem to be helping get this fixed? Is there anything any of us can do to help other than shout at the faceless wall of Canonical?

Alban (seza) wrote :

I have sent an email (via launchpad) to people looks important (Brian Murray owner team "bug control", Martin Pitt owner team "crash bug triagers" and other I found).

Perhaps help, i don't know. I'm just a simple french user very concerned by this bug and try to help with my poor english languag. It's make me little crazy to see no people (of the developer, ubuntu team) looks that bug, send informations or ask for more informations one day before the release. I think no one known that's bug exists, or prefer ignore it ? Perhaps because it was already assignee. But it's little freaky.

For me this is a critical bug may block the release not an undecided bug...

summary: - 10.04 rc livecd boots into black/blank screen (intel 82852/855GM graphic
- card)
+ 10.04 rc boots into black/blank screen (intel 82852/855GM graphic card)
tags: added: critical

If I understood Geir Ove Myhr correctly, re-enabling DRI solved the problem for most users. The fact that they have not re-spun another release candidate does not imply that this will be broken in the final release.

dan rhodes (daniel-r-rhodes) wrote :

Now I'm totally confused. Geir is stating that re-enabling DRI solved the problem, but then links to a related bug where the solution was disabling DRI. Why does this work flawlessly with my .19 kernel boot from a few weeks ago?

Alban (seza) wrote :

I make a full upgrade of my laptop.
Try the new xserver-xorg-video-intel-2:2.9.1-3ubuntu5 instead of -3ubuntu3 with different kernel :

- kernel 2.6.31-02063111-generic -> boot is clean and works nicely
- kernel 2.6.32-21-generic -> boot with bad graphic and black screen
- kernel 2.6.32-21-386 -> boot with bad graphic and black screen
- kernel 2.6.34-020634rc5 -> boot is clean and works nicely

Alex Denvir (coldfff) wrote :

el_smurfo:

You could also try having a read over https://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes

The issue is (as stated on the wiki) that support for this particular graphics adapter is poor. Different workarounds will work for different people, and there is no one workaround for all (yet).

The best advice I can give is use the .19 kernel that worked previously, or try the 2.6.34 as described in comment 20.

If you were planning on rolling out 10.04 to your 50 development laptops, I would advise waiting a month or 2 on Karmic. Every release comes and it takes a while for all the major bugs to be sorted. If you were upgrading because 10.04 is an LTS release, remember 8.04 LTS is still supported for another year.

dan rhodes (daniel-r-rhodes) wrote :

Alex,

I wasn't implying that we were going to roll this out to our developers, just that emphasizing the seemingly low priority given to this bug considering the prevalence of these chipsets. Like the previous commenter, I can only imagine the thousands of bad impressions new users will get when they finally decide that Purple Ubuntu (LTS no less) with get them to switch from that old XP install, only to find it totally bombs their system.

Alban,

Can you give some of the noobs a little cookbook for installing -3ubuntu5 and kernel .34?

Alban (seza) wrote :

Ok so,

1. After power on your PC, press shift (keep press) until see boot loader menu. Choose a recovery mode option.
2. On next step select start failsafeX session.
3. Choose OK when advert for poor resolution.
4. Login in, your are now on your desktop
5. Open a terminal command line (Application > Accessories -> terminal)
6. Type this command and press enter (without quotes):
"sudo -i" and enter your password.
7. Type this command and press enter (without quotes):
"cd /tmp"
8. Type this command and press enter (without quotes):
"wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-rc5-lucid/linux-image-2.6.34-020634rc5-generic_2.6.34-020634rc5_i386.deb"
9. Type this command and press enter (without quotes):
"dpkg -i linux-image-2.6.34-020634rc5-generic_2.6.34-020634rc5_i386.deb"
10. Type this command and press enter (whitout quotes):
"apt-get update && apt-get upgrade"
11 . Type this command and press enter (whitout quotes):
"init 6"

Your computer restart with new kernel and intel driver updated and, hopefully, works without freeze.

Bryce Harrington (bryce) on 2010-04-29
summary: - 10.04 rc boots into black/blank screen (intel 82852/855GM graphic card)
+ [i855] 10.04 rc boots into black/blank screen
dan rhodes (daniel-r-rhodes) wrote :

Alban,

Thanks for your help, but it seems I can't even boot into the recovery mode of kernel .21. I don't want to try the possibility of messing up my .19 install by upgrading via your procedure, so I guess I'll just wait for the bearded ones to send down a fix from the mountaintop.

Bryce Harrington (bryce) wrote :

Please keep the inflammatory statements to a minimum, this is a bug tracker not a forum.

Really, this bug is basically a dupe of 541511, and documented in both the release notes and the Ubuntu-X wiki. For anyone still uncertain if it is recognized as a priority by Canonical, here is a post by a Canonical manager: https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/563277/comments/1

The fact is that 8xx support in the Intel driver has been quite buggy for a long time, and there have proven to be no settings which fixed it for all users. What fixes it for one set of users makes things worse for another. To top it off, while you would think i855 is a common graphics card, we had only a scant number of 8xx volunteers doing testing, which has made supporting this hardware in Ubuntu extremely challenging. There have been suggestions that Ubuntu should drop support for 8xx since it is difficult to get upstream to give priority to issues, but personally I'm not a fan of that option. Still, ultimately we're dependent on upstream's work to resolve the issues and thus are gated by what they see as support priorities.

Also be aware that any changes to KMS blacklisting requires a rebuild of the kernel across all architectures and flavors. As you can understand, this is a very time consuming process.

Chris Halse Rogers (raof) wrote :

It's quite likely that this is yet another manifestation of bug #541511. This is being worked on upstream, and it seems like there's something approximating a fix that should get applied to the upstream kernel in the next couple of weeks.

Alban (seza) wrote :

" To top it off, while you would think i855 is a common graphics card, we had only a scant number of 8xx volunteers doing testing, which has made supporting this hardware in Ubuntu extremely challenging. "

I could help, make some test, just tell me what to do. There is a package with intel gpu debug tool but I don't know how to use it.

What about the new 2.10 intel driver there is lot of cleaning code and bug fixes apparently. (http://lists.freedesktop.org/archives/intel-gfx/2010-March/006408.html)

On Thu, Apr 29, 2010 at 02:29:27AM -0000, Alban wrote:
> " To top it off, while you would think i855 is a common graphics card,
> we had only a scant number of 8xx volunteers doing testing, which has
> made supporting this hardware in Ubuntu extremely challenging. "
>
> I could help, make some test, just tell me what to do. There is a
> package with intel gpu debug tool but I don't know how to use it.

Really it's too late to do testing here at the distro level. When we
could have used your help was like a month ago. :-)

At this point we're waiting for things to be fixed upstream. So
meanwhile, you can test the upstream kernel drm code and report to them
of any problems.

The fix for this issue is almost 99.99% likely to come in the form of a
kernel update, and so your testing should be focused around kernel
patching and testing.

> What about the new 2.10 intel driver there is lot of cleaning code and
> bug fixes apparently. (http://lists.freedesktop.org/archives/intel-
> gfx/2010-March/006408.html)

No, the cleaning there was to delete the UMS code, i.e. remove the
possibility to select KMS or non-KMS. So using 2.10 would be basically
the same as using i915.modeset=1 only.

Also, don't get too hung up on the -intel DDX driver. These days
xserver-xorg-video-intel has very little relevant code left in it;
pretty much all the important bits have moved to the kernel drm. So
it's really not that important any more what version of -intel you run,
what matters is what version of the kernel you're booting.

It is critical. People have a bricked laptop after the update. That´s
the worst case scenario. Another console aware friend even called me
since switchting to the terminal didn´t work as well and he´s a unix
guy and had never heard of ubuntus safemode. It´s really pretty bad.
Lucid is an aweseom release but this bug is a showstopper imho.

Let´s keep the fingers crossed someone has the balls to delay it. But
I doubt it.

On Wed, Apr 28, 2010 at 11:49 PM, Alban <email address hidden> wrote:
> I have sent an email (via launchpad) to people looks important (Brian
> Murray owner team "bug control", Martin Pitt owner team "crash bug
> triagers" and other I found).
>
> Perhaps help, i don't know. I'm just a simple french user very concerned
> by this bug and try to help with my poor english languag. It's make me
> little crazy to see no people (of the developer, ubuntu team) looks that
> bug, send informations or ask for more informations one day before the
> release. I think no one known that's bug exists, or prefer ignore it ?
> Perhaps because it was already assignee. But it's little freaky.
>
> For me this is a critical bug may block the release not an undecided
> bug...
>
> ** Summary changed:
>
> - 10.04 rc livecd boots into black/blank screen (intel 82852/855GM graphic card)
> + 10.04 rc boots into black/blank screen (intel 82852/855GM graphic card)
>
> ** Tags added: critical
>
> --
> 10.04 rc boots into black/blank screen (intel 82852/855GM graphic card)
> https://bugs.launchpad.net/bugs/568779
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

lispy (janietz) wrote :

Hi Bryce,
thanks for the insight.

>Really it's too late to do testing here at the distro level. When we
>could have used your help was like a month ago. :-)

Just to let you know, it was working fine back then. So there was no need to complain.

Daniel Hahler (blueyed) on 2010-04-29
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High

On Thu, Apr 29, 2010 at 07:24:18AM -0000, lispy wrote:
> Just to let you know, it was working fine back then. So there was no
> need to complain.

btw, "testing" != "making complaints". ;-)

MilchFlasche (robertus0617) wrote :

I guess Bryce means by "testing": testing with dev kernels proactively :p End users test "current stable" kernels which are released, however newer kernels still need to be tested before released because we'd never know if there is regression or bugs due to new features :(

Any way we all know what each other needs. Hope that there is better communication between kernel testing team who needs volunteers, and the community where people expect working kernels.

Vilius (vilius) wrote :

Just upgraded my ThinkPad R50e from 9.10 to 10.04. Cannot get any further than black screen.

> 1. After power on your PC, press shift (keep press) until see boot loader menu. Choose a recovery mode option.
Nothing happens if I hold Shift. How do I get into the recovery mode?

David Oser (mirmos192) wrote :

Maybe you didn't hold shift down early enough Vilius? Works for me. I can then choose from two kernels. I choose the earlier one, and not the recovery mode options. Choosing a recovery mode option means I then have to further select a recovery display (I forget what that subsequent option was called) to get a less good display resolution, whereas if I just select a previous kernel (only two are on offer to me) I eventually get to my best display (after some heart-stopping messages about cannot mount, and doesn't exist, and then nothing, and then finally a screenful of scrolling text, before a decent launch of 10.04).

Be nice if they do eventually manage to fix this, but I can work with it, sort of... with my Intel 855 card

Vilius (vilius) wrote :

> Maybe you didn't hold shift down early enough Vilius?
I tried this many times, really.. It seams that GRUB menu flashes for a moment but then it immediately displays something like this:
  Boot from (hd0,0) ext3 886ef......
  Starting up ...
Then Ubuntu splash screen appears for a while and then infamous black screen. And nothing ever happens until I restart the laptop.

Vilius (vilius) wrote :

Can I solve the problem from 9.10 live CD? As it seems to be the only thing I can boot from right now...

Filippo neri (fneri23) wrote :

My advice to users with the Intel I855 graphics chipset is NOT to even try Ubuntu 10.04 lucid,
but to wait until a fix is released. (After all, Karmic is supported for six more months, Hardy for
one more year.)

If you still really want to try 10.04, I suggest using the alternate, text-based installer. This
will allow you to install the system without problems. When the time comes to reboot
form the HD, THEN hold the shift key, get into the grub menu and select recovery mode.

Incidentally, I did exactly this on my Thinkpad X40. I am now running 2.6.34-020634rc6.
I am retired, so I have time to waste!

filippo@X40-SSD:~$ uname -a

Linux X40-SSD 2.6.34-020634rc6-generic #020634rc6 SMP Fri Apr 30 10:09:34 UTC 2010 i686 GNU/Linux

filippo@X40-SSD:~$ dmesg | grep Intel

[ 0.112451] CPU0: Intel(R) Pentium(R) M processor 1.40GHz stepping 06

[ 1.581392] Intel(R) PRO/1000 Network Driver - version 7.3.21-k5-NAPI

[ 1.581399] Copyright (c) 1999-2006 Intel Corporation.

[ 2.038719] e1000: eth0: e1000_probe: Intel(R) PRO/1000 Network Connection

[ 3.273280] agpgart-intel 0000:00:00.0: Intel 855GM Chipset

[ 3.843528] ieee80211: Copyright (C) 2004-2005 Intel Corporation <email address hidden>

[ 4.081144] ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.2kmprq

[ 4.081150] ipw2200: Copyright(c) 2003-2006 Intel Corporation

[ 4.084473] ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection

[ 5.254039] Intel ICH 0000:00:1f.5: PCI INT B -> GSI 17 (level, low) -> IRQ 17

[ 5.254074] Intel ICH 0000:00:1f.5: setting latency timer to 64

Vilius (vilius) wrote :

Setting 'Driver "Vesa"' in /etc/X11/xorg.conf worked for me.

waldo pfiefer (waldo222) wrote :

I wish I had known about the problem with 10.04 & the i855 chipset before I ran the 'upgrade'. It sure would have been nice if anyone took the time to include it in the "known issues". I read it with great interest and then went on to BRICK my d400.

Oh great, so it's back to 9.10 for 6 months until this WELL KNOWN BUG is fixed (or not). How is open source software ever going to move into the mainstream with this kind of BS? Wouldn't it make more sense to warn people about this "BUG" (more like a bricker) than have them see that open source is not ready for prime time and run back to Microsoft and Apple?

this bug should never haven been in a final LTS release

On Fri, Apr 30, 2010 at 23:57, waldo pfiefer <email address hidden> wrote:

> *** This bug is a duplicate of bug 541511 ***
> https://bugs.launchpad.net/bugs/541511
>
> I wish I had known about the problem with 10.04 & the i855 chipset
> before I ran the 'upgrade'. It sure would have been nice if anyone took
> the time to include it in the "known issues". I read it with great
> interest and then went on to BRICK my d400.
>
> Oh great, so it's back to 9.10 for 6 months until this WELL KNOWN BUG is
> fixed (or not). How is open source software ever going to move into the
> mainstream with this kind of BS? Wouldn't it make more sense to warn
> people about this "BUG" (more like a bricker) than have them see that
> open source is not ready for prime time and run back to Microsoft and
> Apple?
>
> --
> [i855] 10.04 rc boots into black/blank screen
> https://bugs.launchpad.net/bugs/568779
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (via bug 541511).
>

--
Voor de beste spelen!
http://www.gezelschapsspelen.be

royden (ryts) wrote :

On Fri, 2010-04-30 at 21:57 +0000, waldo pfiefer wrote:
> *** This bug is a duplicate of bug 541511 ***
> https://bugs.launchpad.net/bugs/541511
>
> I wish I had known about the problem with 10.04 & the i855 chipset
> before I ran the 'upgrade'. It sure would have been nice if anyone took
> the time to include it in the "known issues". I read it with great
> interest and then went on to BRICK my d400.
>
> Oh great, so it's back to 9.10 for 6 months until this WELL KNOWN BUG is
> fixed (or not). How is open source software ever going to move into the
> mainstream with this kind of BS? Wouldn't it make more sense to warn
> people about this "BUG" (more like a bricker) than have them see that
> open source is not ready for prime time and run back to Microsoft and
> Apple?
>

I do not wish to pick a fight. Please note:

http://www.ubuntu.com/getubuntu/releasenotes/1004

Quote: "Intel 8xx X freezes/crashes
The -intel driver fails with X freezes or crashes on certain i8xx
hardware. The issue is known upstream but solutions are still under
development. For now, to work around the issue, boot with the -vesa
video driver. See http://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes for
further details."

The Devs sweated long over this bug but the solution is beyond them
(yes, that hoary old "upstream" incantation....) and so they put up the
warning and the info page.

Jim Brumbaugh (bleumyst) wrote :

I don't know about a "shift key" mode, but if your machine pauses in
the GRUB menu, move the cursor down to highlight the option below your
main one which says "recovery mode"

You will see a bit of booting text until you finally come to a text
menu from which you select "failsafe boot mode" (I'm working from
memory here).

A few more screens and select "boot this one time only" (I'm paraphrasing).

You are now gold.

If your GRUB menu (aptly named, it's pretty messy to deal with)
doesn't pause but goes directly into the boot process, press the ESC
key!

Instructions here:

  http://www.howtogeek.com/howto/ubuntu/show-the-grub-menu-by-default-on-ubuntu/

DON'T PANIC. Ubuntu works fine. You just lose the 3D. In fact, unlike
the Windows version of safe mode, I don't even realize I'm working in
a reduced environment as videos and flash play at full speed (except
for the nifty 3D compositing effects of course.)

Apparently on the release CD's Canonical downgraded the faulty Intel
chipsets to run in safe mode automatically on problematic machines but
I haven't checked the MD5's of the released ISO's yet.

Ahimsa

"As long as there are slaughterhouses, there will be battlefields." -Leo Tolstoy

-Jess E.

"I want a processor so powerful I can read the
manual by the light of the heat sink."- R.I.P. MRX

On Fri, Apr 30, 2010 at 3:50 AM, Vilius <email address hidden> wrote:
> *** This bug is a duplicate of bug 541511 ***
>    https://bugs.launchpad.net/bugs/541511
>
> Just upgraded my ThinkPad R50e from 9.10 to 10.04. Cannot get any
> further than black screen.
>
>> 1. After power on your PC, press shift (keep press) until see boot loader menu. Choose a recovery mode option.
> Nothing happens if I hold Shift. How do I get into the recovery mode?
>
> --
> [i855] 10.04 rc boots into black/blank screen
> https://bugs.launchpad.net/bugs/568779
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (via bug 541511).
>
> Status in “xserver-xorg-video-intel” package in Ubuntu: Triaged
>
> Bug description:
> I try to boot ubuntu 10.04 rc livecd (32 bit) via hd.
>
> I can see the Purple ubuntu loading for less than a second , then it turns into blank black screen and nothing happens after, cannot use it or login. It seems that the live ubuntu completely crashed. I try to press ctrl+alt+f1/f2..., then capslock, but there is no response. So I can do nothing, except pressing the power button to shutdown my laptop.
>
> My laptop is BenQ Joybook 5000U, with a Intel Corporation 82852/855GM Integrated graphics card, Pentium M 1.3GHz CPU, 1G DDR2 RAM.
>
> The earlier livecd, 10.04 Beta2, boots perfectly on my laptop, with compiz enabled, but the RC version of livecd always fails.
>
> There must be a bug on X or gdm, or video driver. When it trys to start gdm after boot logo, it always turn into blank black screen, with key board locked. I hope this problem will not appear on the final release.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/568779/+subscribe
>

Bryce Harrington (bryce) on 2010-05-01
tags: added: omit
removed: critical
Calvin.Ngei (calvin-ngei) wrote :

Hey, "Workaround A: Re-enable KMS" really works on my laptop!
https://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes
Thank you very much everyone.

John Yrigoyen (john-yri) wrote :

I have the same problem but I have a purpleish glow and hit esc it goes black. Alt-F2 and it goes black. I cant get any response from it. I have ATI Mobility Radeon™ HD 4330 GPU in my Dell Zino system. very upset...

waldo pfiefer (waldo222) wrote :

It has been pointed out that the i855 bug was in the 'Known Issues' post and I stand corrected. It was in the 'Known Issues'. I don't know how I could have missed it. There it was 3rd from the bottom of a rather long list.

So, is it only me or should a showstopper bug be nearer to the top pf the list? Perhaps it should have been at the top of the list because it seems to me it is the only 'issue' that would lead to a complete failure of the instal or upgrade process. Oh, and what if a relative newbie to Ubuntu wanted the newest latest?

Again, if the open source community wants to make inroads into the general pool of PC users it is going to have to be a bit more up front about the problems that their OS's can cause. There are workarounds but you have to be an expert level user to implement them and it seems that they are not available to upgrade users or anyone who used the ISO. No one like to see their PC bricked by an upgrade or a newer 'better' version of an OS.

wylow (wylow) wrote :

I have the same problem.

JIMHERON (jimheron) wrote :

I have the Intel 855GM in my x300 and I have been unable to play movies since my upgrade. The movie player freezes the whole system and only a power reset gets me going again. BUT, I followed the instructions in #54 and can now view movies, so that seems to be sorted.

dan rhodes (daniel-r-rhodes) wrote :

#54 fixed video playback lockup for me too...so far seems 100%...

David Oser (mirmos192) wrote :

The problem appears to have been resolved with the latest kernel available via 'proposed updates' lucid-proposed. It least - it has for me, so now I have undone as many of the workarounds as I can recall applying...Still works... Yipeee!!
David

dan rhodes (daniel-r-rhodes) wrote :

Can anyone tell us if future updates will "undo" changes such as the kernel upgrade...

David Oser (mirmos192) wrote :

Spoke too soon (see #80). Cheese Webcam Booth crashes the system with my particular webcam - whereas it didn't with the workarounds (eg xx.x .20 kernel and 'mainline' kernel - or was that 'mainstream', I forget)... ho hum... Still, at least it's (as proposed) now a bootable system, if not perfect....
David

cshannon1077 (cshannon1077) wrote :

I downloaded the 64 bit 10.04 4/30/10. I burned the image to CD. I did a fresh image with a different burn program. I took the CD to my new Toshiba Satellite laptop. It would not boot. Fatal error. Third try - I downloaded a 32 bit and burned an image to CD. I took it to the laptop and got the same result. I installed a fresh version of 9.10, did updates, and then I tried a live upgrade. It appeared to complete okay. When I boot up, I get the purple screen, and then I hear the music and then it goes black. I see some hard disk activity for a few minutes, but nothing ever happens. If I hit Ctrl+Alt+F1 or F2 or Alt F1 or F2, nothing ever happens. I hope someone can fix this.

Andy Whitcroft (apw) on 2010-05-05
tags: added: lucid-kms
lispy (janietz) wrote :

Installed mainline kernels last night and it fixed all my issues. ureadahead now crashes during boot but I´m not sure it´s related and it´s defininetly no showstopper. I have composite back and Flash is really smooth, too.

David Oser (mirmos192) wrote :

Yes that's my experience with the mainline kernel. Wish I knew what it was, though. Information on what it represents seems hard to come by if you are not a fully fledged geek.

caca (pjonniau) wrote :

just upgraded from karmic to lucyd on a dell inspiron 700m with intel graphic card.
black screen after "starting up" notice

i could boot with failsafe graphic work, search the internet and find a solution (using a previous kernel): the post #54.
thank you very much alban this worked for me!

Installing the latest 2.6.34 lucid kernel fixed the black screen problem on my IBM x40 with a 855 intel graphic

ilanrab (ilanrab) wrote :

A couple of days ago I took the plunge. I upgraded the ubuntu system, that I used since 8.04LTS first came out, to 10.04.1LTS.
BIG mistake.
The two huting issues for my Dell Latitude D400 were:
1. The wireless network didn't cooperate until I installed some restricted package available on the Live CD.
2. The Intel 82852/855 GM/GME doesn't work unless I went ahead and used VESA with 8-bit depth.
Bad news.
Does anyone have a SIMPLE workaround for the GRAPHICS issue so that my resolution experience improves to 24-bit depth?
There are other problems, but I'll leave those out of the "picture" ;-) for now!
Cheers
- Ilan -

Daniel Stumpf (daniel-stumpf) wrote :

@ ilanrab

For point 2 try the kernel from Brian's ppa: https://launchpad.net/~brian-rogers/+archive/graphics-fixes

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers